×

Discussion Board

Results 1 to 9 of 9
  1. #1
    Registered User
    Join Date
    Feb 2007
    Posts
    11

    S60 3rd for .NET tools

    Hi!
    What version of Symbian C++ SDK and carbide.vs should I use to make development possible under Microsoft Visual studio?
    I have both "2003" and "2005" MS Visual Studios. I've also downoaded "carbide.vs 2.0.1" and Symbian C++ SDK S60 3rd FP1.
    But using such set of tools, I can add only "WINSCW" and "GCCE" in "Project->SDK Configuration Manager", since I need "WINS" and "ARMI" builds.

  2. #2
    Super Contributor
    Join Date
    Mar 2004
    Location
    Singapore
    Posts
    9,968

    Re: S60 3rd for .NET tools

    Quote Originally Posted by Eugeniy Kiver
    Hi!
    What version of Symbian C++ SDK and carbide.vs should I use to make development possible under Microsoft Visual studio?
    I have both "2003" and "2005" MS Visual Studios. I've also downoaded "carbide.vs 2.0.1" and Symbian C++ SDK S60 3rd FP1.
    But using such set of tools, I can add only "WINSCW" and "GCCE" in "Project->SDK Configuration Manager", since I need "WINS" and "ARMI" builds.
    You only req. VS 2003 and carbide.vs 2.0.1

    WINSCW - > Is Equivalent to WinS only differance is it will use Nokia 86 compile instade of using VS Compiler. Both WINSCW and WINS are Builds for Emulator.

    ARMI - > As you downloaded New SDK[i.e V3.x] ARMI is not Present. These SDKs only Support the Following Builds For Device.
    1. GCCE . Which Uses CSL Arm toolchain Which comes free with SDK.
    2. ARMv5. Which Uses Commercial ARM's RVCT Compiler.

  3. #3
    Registered User
    Join Date
    Feb 2007
    Posts
    11

    Re: S60 3rd for .NET tools

    Thanks for reply, one thing I still don't understand: is it possible now(with tools I have) build .sis file and run it on actual device?

  4. #4
    Super Contributor
    Join Date
    Mar 2004
    Location
    Singapore
    Posts
    9,968

    Re: S60 3rd for .NET tools

    Quote Originally Posted by Eugeniy Kiver
    Thanks for reply, one thing I still don't understand: is it possible now(with tools I have) build .sis file and run it on actual device?
    Yes. You Can make a sis and Install on a device with out any problem.

    Note: As you are using S60 3rd FP1 SDK you may only install on a S60 3rd Edition Phones.

  5. #5
    Registered User
    Join Date
    Feb 2007
    Posts
    11

    Re: S60 3rd for .NET tools

    Thanks a lot!

  6. #6
    Nokia Developer Moderator
    Join Date
    Sep 2004
    Location
    Tampere, Finland
    Posts
    11,359

    Re: S60 3rd for .NET tools

    Quote Originally Posted by skumar_rao
    Yes. You Can make a sis and Install on a device with out any problem.

    Note: As you are using S60 3rd FP1 SDK you may only install on a S60 3rd Edition Phones.
    In fact you should only install on S60 3rd Edition FP1 phones ;)

  7. #7
    Regular Contributor
    Join Date
    Aug 2003
    Posts
    64

    Re: S60 3rd for .NET tools

    So you don't need necessarily need the RVCT compiler? The gcce contained in the SDKs can also compile programs to run on the 3rd Edition devices? What are the benefits of RVCT?

    And what are the maintenance releases of the SDKs?

    Itomuta, but you may install applications made with 3rd Edition SDK ( without FP1 ) on 3rd Edition FP1 devices, too, right?

    Thanks

  8. #8
    Super Contributor
    Join Date
    Mar 2004
    Location
    Singapore
    Posts
    9,968

    Re: S60 3rd for .NET tools

    Quote Originally Posted by victorh81
    So you don't need necessarily need the RVCT compiler? The gcce contained in the SDKs can also compile programs to run on the 3rd Edition devices? What are the benefits of RVCT?

    And what are the maintenance releases of the SDKs?

    Itomuta, but you may install applications made with 3rd Edition SDK ( without FP1 ) on 3rd Edition FP1 devices, too, right?

    Thanks
    Yes RVCT is not Neccessary but good to have.

    Maintenance releases are with some bug fixes to previous release not new release.

    Yes you can install all apps compiled with SDKs lower then S60 v3 FP1 on FP1 devices.

  9. #9
    Nokia Developer Moderator
    Join Date
    Sep 2004
    Location
    Tampere, Finland
    Posts
    11,359

    Re: S60 3rd for .NET tools

    Quote Originally Posted by skumar_rao
    Yes you can install all apps compiled with SDKs lower then S60 v3 FP1 on FP1 devices.
    To avoid confusion: Applications built with S60 2nd Edition SDK [FP1 | FP2 | FP3] cannot be installed on S60 3rd Edition [MR | FP1] based devices. S60 3rd [MR] applications however are indeed compatible with the S60 3rd FP1 devices.

Similar Threads

  1. Replies: 35
    Last Post: 2009-04-11, 14:36
  2. SyncML API and S60 3rd edition?
    By harri_salminen in forum Symbian Tools & SDKs
    Replies: 4
    Last Post: 2008-03-20, 14:50
  3. Mail Sync for S60 / S60 3rd Devices
    By bmenke in forum PC Suite API and PC Connectivity SDK
    Replies: 4
    Last Post: 2006-09-17, 06:24
  4. Almost all tools (S60 MIDP SDK B0.1, Nokia S60 SDK Symbian OS v0.3) Crashes
    By alexandershalamov in forum Symbian Tools & SDKs
    Replies: 1
    Last Post: 2002-07-03, 13:44

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×